Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0020183
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementminoralways2012-04-02 13:112012-06-27 05:29
ReportermalsasuaView Statuspublic 
Assigned ToioritzCia 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revisiona7e06ff77409
ProjectionnoneETAnoneTarget Version
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionCommunity ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionSCM revision 
Review Assigned To
Web browserGoogle Chrome
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0020183: gl journal is checked like posted when there is not lines

Descriptionif a gl journal does not have any line, and it is processed and posted, the record is checked with posted="Y" but accounting have not been generated

Steps To Reproduce. create new gl journal without lines
. process and post
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0020745 closededuardo_Argal GL Journal Post process failing due to wrong change which causes a regression 

-  Notes
(0049716)
hgbot (developer)
2012-06-11 09:57

Repository: erp/devel/pi
Changeset: e1e23b382aa1e15d3c56bf96d3256265f2e22322
Author: Ioritz Cia <ioritz.cia <at> openbravo.com>
Date: Thu May 31 17:35:55 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/e1e23b382aa1e15d3c56bf96d3256265f2e22322 [^]

Fixes issue 20183: gl journal is checked like posted when there is not lines.

---
M src-db/database/model/functions/GL_JOURNAL_POST.xml
M src-db/database/sourcedata/AD_MESSAGE.xml
---
(0049717)
ioritzCia (developer)
2012-06-11 10:03

Testing plan:

- Create a new gl journal without lines and try to process it.
- Create a new gl journal with lines and try to process it.
- Create a new gl journal batch with some journals with lines and some without them and try to process it.
(0050063)
hgbot (developer)
2012-06-25 13:23

Repository: erp/devel/pi
Changeset: a7e06ff77409ac6e3f8fc3bc91469a831405b6c1
Author: Ioritz Cia <ioritz.cia <at> openbravo.com>
Date: Mon Jun 25 13:22:26 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/a7e06ff77409ac6e3f8fc3bc91469a831405b6c1 [^]

Fixes issue 20183: gl journal is checked like posted when there is not lines.
Works fine either in postgres or in oracle.

---
M src-db/database/model/functions/GL_JOURNAL_POST.xml
---
(0050079)
maite (developer)
2012-06-26 10:09

verified
(0050164)
hudsonbot (developer)
2012-06-27 05:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/cf3a7135839f [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2012-04-02 13:11 malsasua New Issue
2012-04-02 13:11 malsasua Assigned To => vmromanos
2012-04-02 13:11 malsasua Web browser => Google Chrome
2012-04-02 13:11 malsasua Modules => Core
2012-04-02 13:12 malsasua Issue Monitored: networkb
2012-04-03 12:21 jonalegriaesarte Assigned To vmromanos => jonalegriaesarte
2012-05-02 10:52 jonalegriaesarte Assigned To jonalegriaesarte => ioritzCia
2012-05-31 13:48 ioritzCia Status new => scheduled
2012-05-31 13:48 ioritzCia fix_in_branch => pi
2012-06-11 09:57 hgbot Checkin
2012-06-11 09:57 hgbot Note Added: 0049716
2012-06-11 09:57 hgbot Status scheduled => resolved
2012-06-11 09:57 hgbot Resolution open => fixed
2012-06-11 09:57 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/e1e23b382aa1e15d3c56bf96d3256265f2e22322 [^]
2012-06-11 10:03 ioritzCia Note Added: 0049717
2012-06-13 12:09 eduardo_Argal Status resolved => new
2012-06-13 12:09 eduardo_Argal Resolution fixed => open
2012-06-13 12:10 eduardo_Argal Status new => scheduled
2012-06-13 12:11 eduardo_Argal Status scheduled => resolved
2012-06-13 12:11 eduardo_Argal Resolution open => fixed
2012-06-13 12:22 eduardo_Argal Relationship added related to 0020745
2012-06-25 13:23 hgbot Checkin
2012-06-25 13:23 hgbot Note Added: 0050063
2012-06-25 13:23 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/e1e23b382aa1e15d3c56bf96d3256265f2e22322 [^] => http://code.openbravo.com/erp/devel/pi/rev/a7e06ff77409ac6e3f8fc3bc91469a831405b6c1 [^]
2012-06-26 10:09 maite Note Added: 0050079
2012-06-26 10:09 maite Status resolved => closed
2012-06-27 05:29 hudsonbot Checkin
2012-06-27 05:29 hudsonbot Note Added: 0050164


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker